Changes since the 1.71.1 release

------------------------------------------------------------------------------

Table of Contents

Release: 1.72.0

    Common
    FO
    HTML
    Manpages
    Params
    Template
    Tools
    Roundtrip

Release: 1.72.0

The following is a list of changes that have been made since the 1.71.1
release.

Common

The following changes have been made to the common code since the 1.71.1
release.

  * Add empty template for sidebar in label.markup mode.

  * Add utility template tabstyle to return the tabstyle from
    any table element.

  * Add support for arabicindic numbering to autolabel.format template.

  * Moved the index entity declarations to a separate common file.

  * Add title.markup mode for glossdiv to support info/title.

  * Remove link.title.attribute, replaced in html/html.xsl

  * Fixed typo in xsl:with-param

  * Use number() in some comparisons to ensure number data type.

  * Fix bug #1596737 extra white space introduced by olink.
    Now output indent="no" for target data.

  * Use copy-of instead of value-of for xreftext to preserve markup.

  * Add template link.title.attribute.

  * Modify gentext.template to respect parameter verbose = 0.
    Modify gentext.template.exists to use gentext.template with verbose = 0.

  * Finish support for @xml:id everywhere @id is used.

  * replace name() with local-name() in most cases.

  * Add support for info.

  * Fixed add-xml-base for Windows and Xalan case.

  * Added NodeInfo prefix to list of exclude-result-prefixes

FO

The following changes have been made to the fo code since the 1.71.1 release.

  * Added index.page.number.properties attribute set to the set of
    reference documentation for the FO stylesheets.

  * Changed VERSION file to include distro title (DocBook XSL
    Stylesheets), and updated HTML, FO, and manpages stylesheets to
    use that in their metadata sections (e.g., in HTML, the
    <meta name="generator" ...> contents).

  * Remove duplicate orgname template.
    Switch org templates to using inline.charseq which
    handles simple.xlink.

  * Add index.page.number.properties attribute-set to format page numbers.

  * Pass the toc-context down to the toc.line template.

  * Fixed bug in use of isogen key.

  * Add support for crop marks in Antenna House.

  * Obsolete now that info is supported.

  * Move show-destination="replace" property from template to attribute-set
    so it can be customized.

  * Add table.row.properties template to customize table rows.

  * Moved the entities declarations to a separate common file.

  * Add support for sorting glossary entries

  * Remove obsolete dobookng.xsl, since info now supported.

  * Fix bug #1614469 for citation linking to biblioentry.

  * Moved all properties to attribute-sets so can be customized more easily.

  * Fixed bug #1603790: no space between package and classname.

  * include stub file for annotations.xsl

  * Add simple.xlink processing to term and member elements.

  * Initial checkin of file for annotation processing.

  * Some more inlines to use simple.xlink.

  * xref now supports xlink:href, using simple.xlink template.

  * modified link template to use simple.xlink now.

  * Use number() in some comparisons to ensure number data type.

  * Rewrote simple.xlink, and call it with all charseq templates.

  * Finish support for @xml:id everywhere @id is used.

  * replace name() with local-name() in most cases.

  * Add support for info element.

  * support title in info too.

HTML

The following changes have been made to the html code since the 1.71.1
release.

  * Changed VERSION file to include distro title (DocBook XSL
    Stylesheets), and updated HTML, FO, and manpages stylesheets to
    use that in their metadata sections (e.g., in HTML, the
    <meta name="generator" ...> contents).

  * Add support in imageobjectco for otherunits="imagemap" to allow
    direct authoring of imagemap units.

  * Use areaspec id as imagemap map name.

  * Fixed imagemaps so they work properly going from calspair coords
    to HTML area coords.

  * qandaset was not outputting an anchor id, now it is.

  * Obsolete now that info is supported.

  * Moved the entities declarations to a separate common file.

  * Add support for sorting glossary entries

  * Remove docbookng.xsl since info now supported.

  * Add support for qanda.in.toc to add qandaentry questions to document TOC.

  * Fix bug #1614469 for citation linking to biblioentry.

  * Fixed bug #1603790: no space between package and classname.

  * Fixed two next/prev bugs.

  * *.propagates.style now handled in class.attribute mode.

  * add simple.xlink support to variablelist term and simplelist member.

  * fix class attribute on sgmltag.

  * add class parameter to class.attribute mode to set default class.

  * Convert all class attributes to use the class.attribute mode
    so class names can be customized more easily.

  * Add class.attribute mode to generate class attributes.

  * Added simple.xlink to most remaining inlines.
    Changed class attributes to applying class.attributes mode.

  * Changed xref template to use simple.xlink tempalte.

  * Improve generate.html.title to work with link targets too.

  * Improved simple.xlink to support link and xref.

  * Use number() in some comparisons to ensure number data type.

  * Convert link element template to use simple.xlink.

  * Improvements in simple.xlink.

  * Use new link.title.attribute now.

  * Rewrote simple.xlink to handle linkend also.
    Better computation of title attribute on link too.

  * Fix syntax errors.

  * Finish support for @xml:id everywhere @id is used.

  * replace name() with local-name() in most cases.

  * Handle Xalan quirk as special case.

  * Add support for info.

Manpages

The following changes have been made to the manpages code since the 1.71.1
release.

  * Changed VERSION file to include distro title (DocBook XSL
    Stylesheets), and updated HTML, FO, and manpages stylesheets to
    use that in their metadata sections (e.g., in HTML, the
    <meta name="generator" ...> contents).

  * Removed single-pass namespace stripping from manpages stylesheet.
    To process DocBook 5 instances, either use the experimental
    namespace-aware DocBook 5 XSL 1.0 stylesheets, or pre-process your
    source to do the namespace stripping (two-pass processing).

  * Added doc for man.output.lang.in.name.enabled parameter. This
    checkin completes support for writing file/pathnames for man-pages
    with $lang include in the names. Closes #1585967. knightly
    accolades to Daniel Leidert for providing the feature request.

  * Added new param man.output.lang.in.name.enabled, which
    controls whether $LANG value is included in manpages
    filenames and pathnames. It works like this:

    If the value of man.output.lang.in.name.enabled is non-zero,
    man-page files are output with the $lang value included in
    their filenames or pathnames as follows;

    - if man.output.subdirs.enabled is non-zero, each file is
      output to, e.g., a /$lang/man8/foo.8 pathname

    - if man.output.subdirs.enabled is zero, each file is output
      with a foo.$lang.8 filename

  * Use "\e" instead of "\\" for backslash output, because the
    groff docs say that's the correct thing to do; also because
    testing (thanks, Paul Dubois) shows that "\\" doesn't always
    work as expected; for example, "\\" within a table seems to
    mess things up.

  * Added the man.string.subst.map.local.pre and
    man.string.subst.map.local.post parameters. Those parameters
    enable local additions and changes to string-substitution mappings
    without the need to change the value of man.string.subst.map
    parameter (which is for standard system mappings). Closes
    #1456738. Thanks to Sam Steingold for constructing a true
    stylesheet torture test (the clisp docs) that exposed the need for
    these params.

  * Use U+2592 as an internal marker for linebreak around sbr output
    (to prevent the break from getting eaten by some normalization
    that the stylesheet does on synopses).
    Use U+2580 as an internal marker for no-break space (to work
    around a similar issue). Closes bug #1612808. Thanks to Simon
    Walter for reporting it (the sbr bug).

  * Adjusted manpages stylesheet to use U+2593 as the internal
    representation for the backslash character within the stylesheet.
    This prevents backslashes in source content from getting eaten.
    Closes #1609425. Thanks to Paul DuBois for reporting the bug.

  * Changed manpages stylesheet to always output a U+2591 character as
    the internal representation of a dash. The string-substitution
    map is then used to output a real dash when the final contents are
    serialized. Also, made a change that causes dots and dashes in the
    top comment to be unescaped.

  * Output newline after admonitions (Note, Warning, etc.)

  * Added the Markup element to the list of elements that get output
    in bold. Thanks to Eric S. Raymond.

  * Changed dot output to mark end of tbl(1) table format sections
    (changed from real dot to internal U+2302 representation).

  * Replaced all dots in roff requests with U+2302 ("house"
    character), and added escaping in output for all instances of dot
    that are not in roff requests. This fixes the problem case where a
    string beginning with a dot (for example, the string ".bashrc")
    might occur at the beginning of a line in output, in which case 
    would mistakenly get interpreted as a roff request. Thanks to Eric
    S. Raymond for pushing to fix this.

  * This is a first attempt at ensuring that list content nested in
    itemizedlist and orderedlist instances is properly indented. This
    is a switch from using .TP to format those lists to using .RS/.RE
    to format them instead (because .TP does not allow nesting). This
    probably breaks something else and therefore will likely need some
    refinement after more testing. Closes bug #1602616. Thanks to
    Daniel Leidert.

  * Fix bug: change <text> to <xsl:text>

  * Fixed two element name typos.

Params

The following changes have been made to the params code since the 1.71.1
release.

  * Repaired bizarro-superman talk.

  * Added doc for man.output.lang.in.name.enabled parameter. This
    checkin completes support for writing file/pathnames for man-pages
    with $lang include in the names. Closes #1585967. knightly
    accolades to Daniel Leidert for providing the feature request.

  * Use "\e" instead of "\\" for backslash output, because the
    groff docs say that's the correct thing to do; also because
    testing (thanks, Paul Dubois) shows that "\\" doesn't always
    work as expected; for example, "\\" within a table seems to
    mess things up.

  * Added the man.string.subst.map.local.pre and
    man.string.subst.map.local.post parameters. Those parameters
    enable local additions and changes to string-substitution mappings
    without the need to change the value of man.string.subst.map
    parameter (which is for standard system mappings). Closes
    #1456738. Thanks to Sam Steingold for constructing a true
    stylesheet torture test (the clisp docs) that exposed the need for
    these params.

  * Use U+2592 as an internal marker for linebreak around sbr output
    (to prevent the break from getting eaten by some normalization
    that the stylesheet does on synopses).
    Use U+2580 as an internal marker for no-break space (to work
    around a similar issue). Closes bug #1612808. Thanks to Simon
    Walter for reporting it (the sbr bug).

  * Changed order of string replacements so that backslash is escaped
    and replaced after backslash and dot (as it needs to be).

  * Adjusted manpages stylesheet to use U+2593 as the internal
    representation for the backslash character within the stylesheet.
    This prevents backslashes in source content from getting eaten.
    Closes #1609425. Thanks to Paul DuBois for reporting the bug.

  * Changed manpages stylesheet to always output a U+2591 character as
    the internal representation of a dash. The string-substitution
    map is then used to output a real dash when the final contents are
    serialized. Also, made a change that causes dots and dashes in the
    top comment to be unescaped.

  * output "\&." instead of just plain "\." (because plain "\." does
    not work...)

  * Fixed problem where newlines were dropped before dots.

  * Only escape dot if it actually occurs at the beginning of a line.

  * fixed well-formedness errors

  * Replaced all dots in roff requests with U+2302 ("house"
    character), and added escaping in output for all instances of dot
    that are not in roff requests. This fixes the problem case where a
    string beginning with a dot (for example, the string ".bashrc")
    might occur at the beginning of a line in output, in which case 
    would mistakenly get interpreted as a roff request. Thanks to Eric
    S. Raymond for pushing to fix this.

  * Add index.page.number.properties by default.

  * Added to allow customizations of page numbers in indexes.

  * Improved wording.

  * Move show-destination="replace" property from template to attribute-set
    so it can be customized.

  * dd support for sorting glossary entries

  * Improved wording.

  * Add option to include qanda in tables of contents.

  * This is a first attempt at ensuring that list content nested in
    itemizedlist and orderedlist instances is properly indented. This
    is a switch from using .TP to format those lists to using .RS/.RE
    to format them instead (because .TP does not allow nesting). This
    probably breaks something else and therefore will likely need some
    refinement after more testing. Closes bug #1602616. Thanks to
    Daniel Leidert.

  * Moved all properties to attribute-sets so can be customized more easily.

Template

The following changes have been made to the template code since the 1.71.1
release.

  * Added workaround for Xalan bug: use for-each and copy instead of copy-of (#1604770).

Tools

The following changes have been made to the tools code since the 1.71.1
release.

  * Updated master makefile to enable docbook5-xsl build and
    packaging.

  * Updated automated xsl-param markup system to handle
    wordml->roundtrip name change.

  * wordml->roundtrip name change

  * Replaced all dots in roff requests with U+2302 ("house"
    character), and added escaping in output for all instances of dot
    that are not in roff requests. This fixes the problem case where a
    string beginning with a dot (for example, the string ".bashrc")
    might occur at the beginning of a line in output, in which case 
    would mistakenly get interpreted as a roff request. Thanks to Eric
    S. Raymond for pushing to fix this.

Roundtrip

The following changes have been made to the roundtrip code since the 1.71.1
release.

  * wordml->roundtrip name change

  * rename to roundtrip, add OpenOffice support


